﻿Option Strict On
Imports System.Linq
Imports System.Xml.Linq
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim filePath As String = Server.MapPath("./")
        Dim xmldoc As XElement = XElement.Load(filePath & "App_Data/udons_productNumber_Name.xml")
        Dim doc As XElement = XElement.Load(filePath & "App_Data/udons_productInfo.xml")

        Dim query As XElement = New XElement("商品情報", From c In xmldoc.Elements("商品") _
                                Group Join d In doc.Elements("商品") On c.<品番>.Value Equals d.@品番 _
                                Into key = Group Select _
                                New XElement("商品", New XElement("品名", c.<品名>.Value, _
                                New XAttribute("品番", c.<品番>.Value)), _
                                New XElement("セット内容", key.<セット内容>.Value), _
                                New XElement("価格", key.<価格>.Value)))

        TextBox1.Text = query.ToString
    End Sub
End Class
