﻿Option Strict On
Imports System.Linq
Partial Class _Default
    Inherits System.Web.UI.Page

    Class udons
        Public 品番 As String
        Public 品名 As String
    End Class

    Class udonsInfo
        Public 品番 As String
        Public セット内容 As String
        Public 価格 As String
    End Class

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim _udons As New List(Of udons)
        With _udons
            .Add(New udons With {.品番 = "udon_01", .品名 = "きつねうどん"})
            .Add(New udons With {.品番 = "udon_02", .品名 = "天ぷらうどん"})
            .Add(New udons With {.品番 = "udon_03", .品名 = "山菜うどん"})
            .Add(New udons With {.品番 = "udon_04", .品名 = "カレーうどん"})
            .Add(New udons With {.品番 = "udon_05", .品名 = "月見うどん"})
            .Add(New udons With {.品番 = "udon_06", .品名 = "かき揚げうどん"})
        End With

        Dim _udonsInfo As New List(Of udonsInfo)
        With _udonsInfo
            .Add(New udonsInfo With {.品番 = "udon_01", .価格 = "450", .セット内容 = "うどん、かけつゆ、味付け油あげ、かまぼこ"})
            .Add(New udonsInfo With {.品番 = "udon_02", .価格 = "600", .セット内容 = "うどん、かけつゆ、えび天ぷら、あげ巻き"})
            .Add(New udonsInfo With {.品番 = "udon_03", .価格 = "400", .セット内容 = "うどん、かけつゆ、しいたけ、しめじ、山菜、かまぼこ"})
            .Add(New udonsInfo With {.品番 = "udon_04", .価格 = "550", .セット内容 = "うどん、かけつゆ、粉末カレー、きじ肉、野菜"})
            .Add(New udonsInfo With {.品番 = "udon_05", .価格 = "400", .セット内容 = "うどん、かけつゆ、生卵"})
            .Add(New udonsInfo With {.品番 = "udon_06", .価格 = "500", .セット内容 = "うどん、かけつゆ、季節のかきあげ、かまぼこ"})
        End With

        Dim xmldoc As XElement = New XElement("商品情報", From c In _udons _
                                Join d In _udonsInfo On c.品番 Equals (d.品番) Select _
                               New XElement("商品", New XElement("品名", c.品名, _
                               New XAttribute("品番", c.品番)), _
                               New XElement("セット内容", d.セット内容), _
                               New XElement("価格", d.価格)))

        TextBox1.Text = xmldoc.ToString
    End Sub
End Class
